local state = {}
local game = require("./states/game")
local gameOver = require("./states/game_over")

state.current = "game"

function state:load()
    if self.current == "game" then
        game:load()
    end
end

function state:change(newState)
    if newState == "game" then
        game:load()
    end

    state.current = newState
end

function state:draw()
    if self.current == "game" then
        game:draw()
    elseif self.current == "gameover" then
        gameOver:draw()
    end
end

function state:update(dt)
    if self.current == "game" then
        game:update(dt, self)
    end
end

function state:keyreleased(key)
    if self.current == "game" then
        game:keyreleased(key)
    end
end

function state:keypressed(key)
    if self.current == "gameover" then
        gameOver:keypressed(key, self)
    elseif self.current == "game" then
        game:keypressed(key)
    end
end


return state
